Package org.optaplanner.core.impl.localsearch.decider.acceptor.tabu

## Class MoveTabuAcceptor<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter<Solution_>
    - - org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor<Solution_>
      - - org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor<Solution_>
        - - org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.MoveTabuAcceptor<Solution_>

- All Implemented Interfaces:
    `EventListener`, `Acceptor<Solution_>`, `LocalSearchPhaseLifecycleListener<Solution_>`, `SolverLifecycleListener<Solution_>`

      public class MoveTabuAcceptor<Solution_>
      extends AbstractTabuAcceptor<Solution_>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `useUndoMoveAsTabuMove` |

    - ### Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor

      `aspirationEnabled, assertTabuHashCodeCorrectness, fadingTabuSizeStrategy, logIndentation, tabuSequenceDeque, tabuSizeStrategy, tabuToStepIndexMap, workingFadingTabuSize, workingTabuSize`

    - ### Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MoveTabuAcceptor​(String logIndentation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Collection<? extends Object>` | `findNewTabu​(LocalSearchStepScope<Solution_> stepScope)` |
    `protected Collection<? extends Object>` | `findTabu​(LocalSearchMoveScope<Solution_> moveScope)` |
    `void` | `setUseUndoMoveAsTabuMove​(boolean useUndoMoveAsTabuMove)` |

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor

      `adjustTabuList, calculateFadingTabuAcceptChance, isAccepted, phaseEnded, phaseStarted, setAspirationEnabled, setAssertTabuHashCodeCorrectness, setFadingTabuSizeStrategy, setTabuSizeStrategy, stepEnded`

    - ### Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListenerAdapter

      `stepStarted`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchPhaseLifecycleListener

      `stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Field Detail

    - #### useUndoMoveAsTabuMove

          protected boolean useUndoMoveAsTabuMove

  - ### Constructor Detail

    - #### MoveTabuAcceptor

          public MoveTabuAcceptor​(String logIndentation)

  - ### Method Detail

    - #### setUseUndoMoveAsTabuMove

          public void setUseUndoMoveAsTabuMove​(boolean useUndoMoveAsTabuMove)

    - #### findTabu

          protected Collection<? extends Object> findTabu​(LocalSearchMoveScope<Solution_> moveScope)

      Specified by:
        `findTabu` in class `AbstractTabuAcceptor<Solution_>`

    - #### findNewTabu

          protected Collection<? extends Object> findNewTabu​(LocalSearchStepScope<Solution_> stepScope)

      Specified by:
        `findNewTabu` in class `AbstractTabuAcceptor<Solution_>`